import Ajax from '../../util/ajax'
import api from '../../util/api'

// 请求数据
export default {
  namespaced: true,
  state: {
    projectInfo: {},
    courseDetail: {},
  },
  mutations: {
    setPageInfo (state, data) { // 设置页面信息
      state.projectInfo = data
    },
    setCourseDetailInfo (state, data) { // 设置课程详情信息
      state.courseDetail = data
    }
  },
  actions: {
    getProjectInfo (context, { id }) { // 获取课程列表
      return new Promise((resolve) => {
        Ajax(api.majorProjects.getCourseList.url, {
          method: api.majorProjects.getCourseList.method,
          urlData: {
            id,
          }
        }).then(res => {
          context.commit('setPageInfo', res)
          resolve(res)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    getCourseDetailInfo (context, { id }) { // 获取课程列表
      return new Promise((resolve) => {
        Ajax(api.majorProjects.getCourseDetail.url, {
          method: api.majorProjects.getCourseDetail.method,
          urlData: {
            id,
          }
        }).then(res => {
          context.commit('setCourseDetailInfo', res)
          resolve(res)
        }).catch((err) => {
          reject(err)
        })
      })
    },
  }
}
