const baseUrl = '/api-v2'
const wechat = '/wechat/:org'
const guest = '/guest/:org'
const common = '/common/:org'

const $api = {
  index: { // 首页
    location: { // 获取5A
      method: 'get',
      url: `${baseUrl}${guest}/cms/location`
    },
    banner: { // 获取轮播图
      method: 'get',
      url: `${baseUrl}${guest}/cms/img`
    },
    message: { // 获取最新消息
      method: 'get',
      url: `${baseUrl}${guest}/cms/info`
    },
    project: { // 获取项目专题
      method: 'get',
      url: `${baseUrl}${guest}/cms/case`
    },
    cms: { // 获取cms消息
      method: 'get',
      url: `${baseUrl}${guest}/cms/news`
    }
  },
  majorProjects: { // 项目专题
    getCourseList: { // 获取课程列表
      method: 'get',
      url: `${baseUrl}${guest}/cms/case/:id`
    },
    getCourseDetail: { // 获取课程详情
      method: 'get',
      url: `${baseUrl}${guest}/course/:id`
    },
  },
  user: {
    info: { // 获取用户信息
      method: 'get',
      url: `${baseUrl}${wechat}/customer`
    },
    case: { // 获取案场及销售列表
      method: 'get',
      url: `${baseUrl}${guest}/case`
    },
    wxsignup: { // 绑定手机号
      method: 'post',
      url: `${baseUrl}${guest}/wxsignup`
    },
    captcha: { // 获取手机验证码
      method: 'get',
      url: `${baseUrl}${guest}/captcha`
    }
  },
  login:{ // 主管、销售端登陆
    login: {
      method: 'post',
      url: `${baseUrl}${guest}/wxsignin`
    }
  }
}
export default $api
